<?xml version="1.0"?>

<!--
  For more information on how to configure your ASP.NET application, please visit
  http://go.microsoft.com/fwlink/?LinkId=169433
  -->

<configuration>
  <connectionStrings>
    <add name="WebDataBaseConnectionString" connectionString="Password=123456789;Persist Security Info=True;User ID=WebDataBase;Initial Catalog=WebDataBase;Data Source=SYSTEM_121\WIN8SQL"
         providerName="System.Data.SqlClient"/>
  </connectionStrings>
    <system.web>
      <sessionState timeout="3" cookieless="AutoDetect"/>
      <compilation debug="true" targetFramework="4.0" />
     
      <authentication mode="Forms">
        <forms cookieless="AutoDetect"
               defaultUrl="~/Default.aspx"
               loginUrl="~/Login.aspx"
               timeout="10"
               slidingExpiration="true"
               requireSSL="false"
               protection="All"/>
      </authentication>

      <authorization>
        <allow users="*"/>
      </authorization>

      <customErrors mode="On" defaultRedirect="~/Errors/ErrorGeneral.aspx">
        <error statusCode="403" redirect="~/Errors/Error403.aspx"/>
        <error statusCode="404" redirect="~/Errors/Error404.aspx"/>
        <error statusCode="500" redirect="~/Errors/Error500.aspx"/>
        
      </customErrors>
      
    </system.web>
  <location path="Logout.aspx">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>

  <location path="DeleteUser.aspx">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>

  <location path="Update.aspx">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>

</configuration>
